List memories
List active memories in a personal scope. Memory reads are available to every Inspect API key holder.
Base URL
GET
List active memories in a personal scope. Memory reads are available to every Inspect API key holder.
bearerAuthheader
AuthorizationBearer <token>API key authentication. Use your API key as the bearer token.
scope*"personal"Scope type to read.
Value in
"personal"scope_id?stringUser id. Defaults to the API key user.
Length
1 <= lengthdirective_limit?integerMaximum number of directive memories to return.
Format
int32Range
1 <= value <= 25Default
20fact_limit?integerMaximum number of fact memories to return.
Format
int32Range
1 <= value <= 100Default
50Active memories in the requested scope
application/json- response
data*curl -X GET 'https://your-org.inspect.com/api/public/v1/memories?scope=personal'Example Response
{ "data": { "scope": { "type": "personal", "id": "string" }, "directives": [ { "id": "string", "title": "string", "description": "string", "content": "string", "memoryType": "fact", "updatedAt": "2019-08-24T14:15:22Z", "scope": { "type": "personal", "id": "string" } } ], "facts": [ { "id": "string", "title": "string", "description": "string", "content": "string", "memoryType": "fact", "updatedAt": "2019-08-24T14:15:22Z", "scope": { "type": "personal", "id": "string" } } ] }}